#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

//uniform vec2 resolution;


const float blurSize = 1.0/512.0;
const float intensity = 0.35;
void main()
{
   vec4 sum = vec4(0,0,0,0);
   int j;
   int i;

   //thank you! http://www.gamerendering.com/2008/10/11/gaussian-blur-filter-shader/ for the 
   //blur tutorial
   // blur in y (vertical)
   // take nine samples, with the distance blurSize between them
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 4.0*blurSize, v_texCoord.y)) * 0.05;
   sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 3.0*blurSize, v_texCoord.y)) * 0.18;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 2.0*blurSize, v_texCoord.y)) * 0.12;
   sum += texture2D(CC_Texture0, vec2(v_texCoord.x - blurSize, v_texCoord.y)) * 0.3;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y)) * 0.16;
   sum += texture2D(CC_Texture0, vec2(v_texCoord.x + blurSize, v_texCoord.y)) * 0.3;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 2.0*blurSize, v_texCoord.y)) * 0.12;
   sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 3.0*blurSize, v_texCoord.y)) * 0.18;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 4.0*blurSize, v_texCoord.y)) * 0.05;
	
	// blur in y (vertical)
   // take nine samples, with the distance blurSize between them
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - 4.0*blurSize)) * 0.05;
   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - 3.0*blurSize)) * 0.18;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - 2.0*blurSize)) * 0.12;
   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - blurSize)) * 0.3;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y)) * 0.16;
   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + blurSize)) * 0.3;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + 2.0*blurSize)) * 0.12;
   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + 3.0*blurSize)) * 0.18;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + 4.0*blurSize)) * 0.05;

   //increase blur with intensity!
   gl_FragColor = (sum*intensity + texture2D(CC_Texture0, v_texCoord)) * v_fragmentColor; 
   return;
   /*if(sin(iGlobalTime) > 0.0)
       gl_FragColor = sum * sin(iGlobalTime)+ texture2D(iChannel0, v_texCoord);
   else
	   gl_FragColor = sum * -sin(iGlobalTime)+ texture2D(iChannel0, v_texCoord);
   */
}