#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

//uniform vec2 resolution;


const float blurSize = 1.0/512.0;
const float intensity = 0.35;
void main()
{
   vec4 sum = vec4(0,0,0,0);
   vec4 v4Colour = vec4(0,0,0,0);
//   vec2 v_texCoord = v_texCoord.xy;
   int j;
   int i;

   //thank you! http://www.gamerendering.com/2008/10/11/gaussian-blur-filter-shader/ for the 
   //blur tutorial
   // blur in y (vertical)
   // take nine samples, with the distance blurSize between them

   
   v4Colour = texture2D(CC_Texture0, vec2(v_texCoord.x - 3.0*blurSize, v_texCoord.y));
//   v4Colour.a = v4Colour.a * v4Colour.a;
   sum += v4Colour * 0.18;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 3.0*blurSize, v_texCoord.y)) * 0.09;
 
   v4Colour = texture2D(CC_Texture0, vec2(v_texCoord.x - blurSize, v_texCoord.y));
//   v4Colour.a = v4Colour.a * v4Colour.a;
   sum += v4Colour * 0.3;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x - blurSize, v_texCoord.y)) * 0.15;
 
   v4Colour = texture2D(CC_Texture0, vec2(v_texCoord.x + blurSize, v_texCoord.y));
//   v4Colour.a = v4Colour.a * v4Colour.a;
   sum += v4Colour * 0.3;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x + blurSize, v_texCoord.y)) * 0.15;
 
   v4Colour = texture2D(CC_Texture0, vec2(v_texCoord.x + 3.0*blurSize, v_texCoord.y));
//   v4Colour.a = v4Colour.a * v4Colour.a;
   sum += v4Colour * 0.18;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 3.0*blurSize, v_texCoord.y)) * 0.09;
 
	// blur in y (vertical)
   // take nine samples, with the distance blurSize between them

   v4Colour = texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - 3.0*blurSize));
//   v4Colour.a = v4Colour.a * v4Colour.a;
   sum += v4Colour * 0.18;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - 3.0*blurSize)) * 0.09;

   v4Colour = texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - blurSize));
//   v4Colour.a = v4Colour.a * v4Colour.a;
   sum += v4Colour * 0.3;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - blurSize)) * 0.15;

   v4Colour = texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + blurSize));
//   v4Colour.a = v4Colour.a * v4Colour.a;
   sum += v4Colour * 0.3;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + blurSize)) * 0.15;

   v4Colour = texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + 3.0*blurSize));
//   v4Colour.a = v4Colour.a * v4Colour.a;
   sum += v4Colour * 0.18;
//   sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + 3.0*blurSize)) * 0.09;

   //increase blur with intensity!
   
   v4Colour = texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y));
   v4Colour = sum*intensity + v4Colour;
   v4Colour.rgb = v4Colour.rgb * v4Colour.a;
   gl_FragColor = v4Colour * v_fragmentColor; 
   return;
   /*if(sin(iGlobalTime) > 0.0)
       gl_FragColor = sum * sin(iGlobalTime)+ texture2D(iChannel0, v_texCoord);
   else
	   gl_FragColor = sum * -sin(iGlobalTime)+ texture2D(iChannel0, v_texCoord);
   */
}