#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec2 v_alphaCoord;

void main()
{
   vec4 v4Colour = texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y));
   v4Colour.a = texture2D(CC_Texture0, vec2(v_alphaCoord.x, v_alphaCoord.y)).r; 
   v4Colour.rgb = v4Colour.rgb * v4Colour.a;
   gl_FragColor = v4Colour * v_fragmentColor; 
}